Non-compatibility Ohodnoceno 5 z 5 hvězdiček

Although I love using this add-on and it was working just fine before I finally updated my browser (I hold them off for a couple of weeks before I finally do; no reason), it is now not compatible with FF 22.0.

It would be awesome for an update to take effect addressing this issue. Considering donating ....

Giving this otherwise five-star product three stars. Jul, 12, 2013

EDIT: So I suspect this might be FF's way of blocking the add-on, but I'm not sure. Five stars. Jul, 12, 2013.

More Editting: Thanks bro-ski. =] Jul 15, 2013

Tato recenze je pro předchozí verzi doplňku (0.67.1-signed). 

New version is up for review, until then, use this

Hey,
I have submitted an update and it is in a queue for approval.
You can directly get it from here
https://addons.mozilla.org/firefox/downloads/file/217952/soundcloud_downloader_technowise-0.67.2-fx.xpi?src=devhub

This is will be replaced with older version once approved.

Firefox just did some addon framework update and addons that still use older framework stopped working. It is not Firefox's way of blocking it.

Thanks!